export default{
    emits: ['addTeam'],
	data : function(){
		return {
			Home: '',
			Teams: '',
			Results: '',
			id:'',
			name:'',
			description:'',
			clicked: false,
			errMessage:''
		}
	},
	methods: {
		myfun: function() {
			this.clicked=!this.clicked;
		},
		checkFields: function() {
			if(this.id===""){
				this.errMessage+="The id field must be required "
			}
			else if(this.name===""){
				this.errMessage+="The name field must be required "
			}
			else if(this.description===""){
				this.errMessage+="The description field must be required "
			}
			else{
				if(this.name.lenght<5){
					this.errMessage+="The name must have at least 5 caracters "
				}
				if(this.description.lenght<20){
					this.description+="The description must have at least 20 caracters "
				}
			}
			if(this.errMessage.length===0){
                console.log("jappelle la fonction")
				this.addTeam();
			}
		},
		addTeam: function() {
			let team = new Team(this.id, this.name, this.description);
			console.log(team);
            this.$emit("addTeam",team);
			this.id='';
			this.name='';
		},
        myfun: function() {
			console.log("gngn");
			this.clicked=!this.clicked;
		}
	},
	template: 
		`
			<div>
				<span>Home</span>
				<span @click="myfun" style="cursor: pointer">Teams</span>
				<span>Results</span>
			</div>
			<form @submit.prevent v-if="clicked">
			<br>
			<label>{{errMessage}}</label><br/>
			<div>
				<label>id</label><br/>
				<input type="number" v-model="id"/>
			</div>
			
			<div>
				<label>Name</label><br/>
				<input type="text" v-model="name"/>
			</div>

			<div>
				<label>Description</label><br/>
				<textarea v-model="description"></textarea>
			</div>

			<input type="submit" value="Submit" v-on:click="checkFields"/>
			</form>
		`
}
